diff makeBooke.sh @ 266:06e140f48543

Revise scripts for building printed Bookes. A lot of stuff was being duplicated between different page size. Consolidate where possible, and in particular put as much into a single source file (dottes.tex) as possible. Making a single Booke is now potentially quicker, as the tune pages don't necessarily have to be regenerate every time.
author Jim Hague <jim.hague@acm.org>
date Wed, 26 Jun 2013 23:37:45 +0100
parents
children 9c5cabaabbec
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/makeBooke.sh	Wed Jun 26 23:37:45 2013 +0100
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# Build the Booke. Move subfiles into place and build the Booke into a PDF.
+#
+# The Booke tune content and all EPS and PDF tune graphics must be
+# present already. Run makeGraphics.sh first and then
+# makeBookeTunePages.sh.
+#
+
+if [ $# != 2 ]; then
+    echo "Usage: makeBooke.sh <book dir name> <A4|A5>"
+    exit 1
+fi
+
+dir=`pwd`
+
+booke=$dir/$1
+papersize=$2
+builddir=$dir/build
+graphicsdir=$dir/graphics/$1
+booketex=$dir/dottes.tex
+bookepdf=$builddir/dottes.pdf
+
+mkdir -p $builddir
+
+cp dottes.tex $builddir
+cp buildno.txt $builddir
+cp buzzard.eps $builddir
+for item in title subtitle intro instrument
+do
+    rm -f $builddir/$item.txt
+    if [ -r $booke/$item.txt ]; then
+        cp $booke/$item.txt $builddir
+    else
+        touch $builddir/$item.txt
+    fi
+done
+
+for filename in $dir/*.${papersize}.tex
+do
+    name=`basename $filename .${papersize}.tex`
+    cp $filename $builddir/$name.tex
+done
+
+cd $builddir
+
+xelatex $booketex
+xelatex $booketex
+xelatex $booketex
+
+mv $bookepdf $dir/$1-${papersize}.pdf
+
+cd $dir